## org.apache.mahout.classifier.df.mapreduce
Class BuildForest

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.classifier.df.mapreduce.BuildForest

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public class BuildForest

extends org.apache.hadoop.conf.Configured
implements org.apache.hadoop.util.Tool

Tool to builds a Random Forest using any given dataset (in UCI format). Can use either the in-mem mapred or partial mapred implementations. Stores the forest in the given output directory

Constructor Summary
`BuildForest()`

Method Summary
`protected static Data` `loadData(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path dataPath, Dataset dataset)`
`static void` `main(String[] args)`
`int` `run(String[] args)`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Constructor Detail

### BuildForest

    public BuildForest()

Method Detail

### run

    public int run(String[] args)
            throws IOException,
                   ClassNotFoundException,
                   InterruptedException

  Specified by:
    `run` in interface `org.apache.hadoop.util.Tool`
  Throws:
    `IOException`
    `ClassNotFoundException`
    `InterruptedException`

### loadData

    protected static Data loadData(org.apache.hadoop.conf.Configuration conf,
                                   org.apache.hadoop.fs.Path dataPath,
                                   Dataset dataset)
                            throws IOException

  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.